require('impatient')
require('user.options')
require('user.autocmd')
require('user.keymap').setup()

-- packer_compiled.lua is loaded, so this is not needed early
vim.defer_fn(function()
    local plugins = require('user.plugins')
    plugins.ensure_plugins()
    plugins.make_commands()
end, 0)
